<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="6a6b1b8f-66dc-404c-819d-31b4bf8a7216" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/SerachEngine/SerachEngine/urls.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="460">
              <caret line="20" column="34" selection-start-line="20" selection-start-column="34" selection-end-line="20" selection-end-column="34" />
              <folding>
                <element signature="e#636#668#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/SerachEngine/web/views.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="39">
              <caret line="22" column="54" selection-start-line="22" selection-end-line="23" />
              <folding>
                <element signature="e#0#11#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/SerachEngine/SerachEngine/settings.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-1870">
              <caret line="26" column="19" selection-start-line="26" selection-start-column="19" selection-end-line="26" selection-end-column="19" />
              <folding>
                <element signature="e#312#321#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="CSS File" />
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>json</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/SerachEngine/web/static/css/style.css" />
        <option value="$PROJECT_DIR$/SerachEngine/web/templates/index.html" />
        <option value="$PROJECT_DIR$/SerachEngine/media/static/css/front/index/main.css" />
        <option value="$PROJECT_DIR$/SerachEngine/media/templates/front/index.html" />
        <option value="$PROJECT_DIR$/SerachEngine/media/templates/front/result.html" />
        <option value="$PROJECT_DIR$/SerachEngine/web/seializers.py" />
        <option value="$PROJECT_DIR$/SerachEngine/SerachEngine/urls.py" />
        <option value="$PROJECT_DIR$/SerachEngine/SerachEngine/settings.py" />
        <option value="$PROJECT_DIR$/SerachEngine/web/urls.py" />
        <option value="$PROJECT_DIR$/SerachEngine/web/views.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="715" />
    <option name="y" value="1125" />
    <option name="width" value="3150" />
    <option name="height" value="603" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="Search_Engine" type="b2602c69:ProjectViewProjectNode" />
              <item name="Search_Engine" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Search_Engine" type="b2602c69:ProjectViewProjectNode" />
              <item name="Search_Engine" type="462c0819:PsiDirectoryNode" />
              <item name="SerachEngine" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="Search_Engine" type="b2602c69:ProjectViewProjectNode" />
              <item name="Search_Engine" type="462c0819:PsiDirectoryNode" />
              <item name="SerachEngine" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.templateLanguages.PyTemplateLanguageModulesConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\Mehran\Desktop\Search_Engine\SerachEngine\web" />
      <recent name="C:\Users\Mehran\Desktop\Search_Engine\SerachEngine" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Mehran\Desktop\Search_Engine\SerachEngine\media\templates" />
      <recent name="C:\Users\Mehran\Desktop\Search_Engine\SerachEngine\media\templates\front" />
      <recent name="C:\Users\Mehran\Desktop\Search_Engine\SerachEngine\media\static" />
      <recent name="C:\Users\Mehran\Desktop\Search_Engine\SerachEngine" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6a6b1b8f-66dc-404c-819d-31b4bf8a7216" name="Default Changelist" comment="" />
      <created>1544441298030</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544441298030</updated>
      <workItem from="1544441302862" duration="12221000" />
      <workItem from="1544465944997" duration="2847000" />
      <workItem from="1544524646680" duration="10036000" />
      <workItem from="1544557721892" duration="9320000" />
      <workItem from="1544694132990" duration="70000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="34494000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-6" y="-6" width="1719" height="942" extended-state="6" />
    <layout>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="1" visible="true" weight="0.17208183" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Database Changes" order="0" />
      <window_info active="true" anchor="bottom" id="Terminal" order="1" visible="true" weight="0.047013976" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="3" />
      <window_info anchor="bottom" id="Python Console" order="4" />
      <window_info anchor="bottom" id="Docker" order="5" show_stripe_button="false" />
      <window_info anchor="bottom" id="Message" order="6" />
      <window_info anchor="bottom" id="Find" order="7" />
      <window_info anchor="bottom" id="Run" order="8" />
      <window_info anchor="bottom" id="Debug" order="9" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="10" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="11" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="12" />
      <window_info anchor="right" id="Database" order="0" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="1" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="SciView" order="2" />
      <window_info anchor="right" id="Ant Build" order="3" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../zaris/forbit/forbit/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="23" lean-forward="true" selection-start-line="23" selection-end-line="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../zaris/forbit/book/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="3" selection-start-line="3" selection-end-line="7" />
          <folding>
            <element signature="e#0#37#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/web/static/css/style.css" />
    <entry file="file://$PROJECT_DIR$/../Django/shop/blog/templates/index.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/web/templates/index.html" />
    <entry file="file://$PROJECT_DIR$/SerachEngine/media/static/css/main.css" />
    <entry file="file://$PROJECT_DIR$/../zaris/forbit/forbit/settings.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="490">
          <caret line="56" column="40" selection-start-line="56" selection-end-line="57" />
          <folding>
            <element signature="e#307#316#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../zaris/forbit/media/templates/book/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="8" column="60" selection-start-line="8" selection-start-column="33" selection-end-line="8" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/media/static/css/front/index/main.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="8" column="12" lean-forward="true" selection-start-line="8" selection-start-column="12" selection-end-line="8" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../zaris/forbit/book/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../Django/blog/views.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../Django/shop/blog/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="621">
          <caret line="33" column="51" lean-forward="true" selection-start-line="33" selection-start-column="51" selection-end-line="33" selection-end-column="51" />
          <folding>
            <element signature="e#0#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/media/templates/front/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="17" column="6" selection-start-line="17" selection-start-column="6" selection-end-line="17" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/media/templates/front/result.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="674">
          <caret line="139" column="41" selection-start-line="139" selection-start-column="41" selection-end-line="139" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/media/templates/rest_framework/docs/auth/basic.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/web/seializers.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/web/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
          <folding>
            <element signature="e#0#37#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/SerachEngine/settings.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1870">
          <caret line="26" column="19" selection-start-line="26" selection-start-column="19" selection-end-line="26" selection-end-column="19" />
          <folding>
            <element signature="e#312#321#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/web/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="39">
          <caret line="22" column="54" selection-start-line="22" selection-end-line="23" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/SerachEngine/SerachEngine/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="460">
          <caret line="20" column="34" selection-start-line="20" selection-start-column="34" selection-end-line="20" selection-end-column="34" />
          <folding>
            <element signature="e#636#668#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>